#!/bin/bash

set +e

cd /usr/src/ubuntu-precise

date_str=`date +"%Y%m%d%H%M%S"`

cp .config /boot/config-${date_str}

make ARCH=arm CROSS_COMPILE=arm-linux-gnueabihf- mrproper
cp /boot/config-${date_str} ./.config

make ARCH=arm CROSS_COMPILE=arm-linux-gnueabihf- -j18 uImage| tee /tmp/uImage.log;
make ARCH=arm CROSS_COMPILE=arm-linux-gnueabihf- -j18 modules| tee /tmp/modules.log;

make ARCH=arm CROSS_COMPILE=arm-linux-gnueabihf- modules_install firmware_install MOD_INSTALL_STRIP=1 | tee /tmp/install.log;

set -e

